' This is used for sample purposes
Dim numOnTimerExecuted, lastTimer
numOnTimerExecuted = 0
lastTimer = Now


' This function is required !!!
' It is called each time the specified number of milliseconds has elapsed
' The interval is set in the configuration - see the Interval entry
'
' The function should return a string. It will be logged in the 
' Report file (see the ReportFile entry in the configuration)
' and in the application event log if not disabled (see the
' DisableEventLog configuration entry).
' 
Function OnTimer
    ' Sample does nothing special - it just retuns the current time and
    ' increments a counter. 
    numOnTimerExecuted = numOnTimerExecuted + 1
    lastTimer = Now
    OnTimer = "OnTimer executed at " & Now & ". Total calls to OnTimer: " & numOnTimerExecuted
End Function

' Everything else is only metter of your decision. You can define as many functions and
' subs as you want. You can call them from an ASP page, WSH scripts, VB/C/Delphi applications.
' Therefore implementing some real functionality in OnTimer will be the reason to decide
' what kind of functions you will need to call from outside. For example they could
' schedule something to be done on the next OnTimer event, check the state, obtain some
' information that changes during the script lifetime, post some data that will be
' extracted by another application through call to another function in this script and so on.

' This sample function extracts an information about the OnTimer calls
Function ReportState
    ReportState = "OnTimer last called at " & lastTimer & ". Total calls: " & numOnTimerExecuted
End Function                                                          

' And this variable behaves as property and can be set by one ASP page and read by another.
' See the sample ASP pages included.
Public SampleProperty
SampleProperty = "Not set yet"